Revoke the share token for a project
DELETE /v1/projects/{projectId}/public-share-token
Permanently deletes the share token. Any existing public links or embeds will stop working immediately.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”An identifier (e.g., my-project-a1b2c)
Responses
Section titled “ Responses ”Share token successfully revoked
Unauthorized, authentication required
Standard error response
object
HTTP status code
Example
400Machine-readable error code in snake_case
Error message
Example
Validation failedAdditional error details
Example
Project name must be between 3 and 60 charactersForbidden, insufficient permissions
Standard error response
object
HTTP status code
Example
400Machine-readable error code in snake_case
Error message
Example
Validation failedAdditional error details
Example
Project name must be between 3 and 60 charactersProject not found or no share token exists
Standard error response
object
HTTP status code
Example
400Machine-readable error code in snake_case
Error message
Example
Validation failedAdditional error details
Example
Project name must be between 3 and 60 charactersToo many requests
Rate limit exceeded error response
object
HTTP status code
Example
429Machine-readable error code in snake_case
Error message
Example
Too many requestsNumber of seconds until the client can retry
Example
60Headers
Section titled “Headers ”Number of seconds to wait before retrying
Internal server error
Standard error response
object
HTTP status code
Example
400Machine-readable error code in snake_case
Error message
Example
Validation failedAdditional error details
Example
Project name must be between 3 and 60 characters